import { KnowledgeBase, KnowledgeOptions } from './knowledge-base.ts';

export class SiliconFlowKnowledge extends KnowledgeBase {
  static BASE_URL = 'https://api.siliconflow.cn/v1';
  constructor(options: KnowledgeOptions) {
    super({ ...options, baseURL: options?.baseURL ?? SiliconFlowKnowledge.BASE_URL });
  }

  async rerank(data: RerankOptions) {
    return this.openai.post('/rerank', {
      body: data,
    });
  }
}

export type RerankOptions = {
  model: string;
  query: string;
  documents: string[];
  top_n?: number;
  return_documents?: boolean;
  max_chunks_per_doc?: number;
  overlap_tokens?: number;
};
