import { SiliconFlow } from '../../chat-adapter/siliconflow.ts';
export class VideoSiliconFlow extends SiliconFlow {
  constructor(opts: any) {
    super(opts);
  }

  async uploadAudioVoice(audioBase64: string | Blob | File) {
    const pathname = 'uploads/audio/voice';
    const url = `${this.baseURL}/${pathname}`;
    const headers = {
      'Content-Type': 'multipart/form-data',
      Authorization: `Bearer ${this.apiKey}`,
    };
    const formData = new FormData();
    // formData.append('audio', 'data:audio/mpeg;base64,aGVsbG93b3JsZA==');
    // formData.append('audio', audioBase64);
    formData.append('file', audioBase64);
    formData.append('model', 'FunAudioLLM/CosyVoice2-0.5B');
    formData.append('customName', 'test_name');
    formData.append('text', '在一无所知中, 梦里的一天结束了，一个新的轮回便会开始');

    const res = await fetch(url, {
      method: 'POST',
      headers,
      body: formData,
    }).then((res) => res.json());
    console.log('uploadAudioVoice', res);
  }
  async audioSpeech() {
    this.openai.audio.speech.create({
      model: 'FunAudioLLM/CosyVoice2-0.5B',
      voice: 'alloy',
      input: '在一无所知中, 梦里的一天结束了，一个新的轮回便会开始',
      response_format: 'mp3',
    });
  }
}
