import { Knowledge } from '../../../../src/provider/knowledge/knowledge.ts';
import fs from 'fs';
import dotenv from 'dotenv';

dotenv.config();
const knowledge = new Knowledge({
  embeddingModel: 'bge-m3:latest',
  baseURL: 'https://ollama.xiongxiao.me/v1',
  model: 'qwq:latest',
  apiKey: process.env.OLLAMA_API_KEY,
});

const main = async () => {
  const res = await knowledge.generateEmbeddingCore('Hello world this is a test 你好沙盒 very big');
  fs.writeFileSync('docs/embedding.json', JSON.stringify(res, null, 2));
  console.log(res);
};

main();

const main2 = async () => {
  const text1 = 'Hello, world! this is a test';
  const text2 = 'Hello, world! this is a test 2';
  const text3 = 'Hello, world! this is a test 3';
  const text4 = 'Hello, world! this is a test 4';
  const text5 = 'Hello, world! this is a test 5';
  const text6 = 'Hello, world! this is a test 6';
  const text7 = 'Hello, world! this is a test 7';
  const text8 = 'Hello, world! this is a test 8';
  const text9 = 'Hello, world! this is a test 9';
  const text10 = 'Hello, world! this is a test 10';
  const res = await knowledge.generateEmbeddingCore([text1, text2, text3, text4, text5, text6, text7, text8, text9, text10]);
  fs.writeFileSync('docs/embedding2.json', JSON.stringify(res, null, 2));
  console.log(res);
};

// main2();
