import { SiliconFlow } from '../../../src/provider/chat-adapter/siliconflow.ts';
import { SiliconFlowKnowledge } from '../../provider/knowledge-adapter/siliconflow.ts';
import dotenv from 'dotenv';

dotenv.config();
export const siliconflow = new SiliconFlow({
  apiKey: process.env.SILICONFLOW_API_KEY,
  model: 'Qwen/Qwen2-7B-Instruct',
});

export const knowledge = new SiliconFlowKnowledge({
  apiKey: process.env.SILICONFLOW_API_KEY,
  model: 'Qwen/Qwen2-7B-Instruct',
  embeddingModel: 'Pro/BAAI/bge-m3',
});
