import { knowledge } from '../common.ts';
import util from 'node:util';

const fc = [
  {
    title: '根据描述查询对应的网页的地址',
    description: '根据描述查询对应的网页的地址，并返回网页的标题和链接',
  },
  {
    title: '查询我的 draw 应用中的内容 ',
    description: '根据搜索内容，查询我的 draw 应用中的内容，并返回对应的数据',
  },
];

const main = async () => {
  const res = await knowledge.rerank({
    model: 'BAAI/bge-reranker-v2-m3',
    query: '查询网页',
    // query: '网页code-center的地址',
    documents: fc.map((item) => {
      return `${item.title}：${item.description}`;
    }),
  });
  console.log(util.inspect(res, { depth: 10, colors: true }));
  // 8000 tokens 大概1w个字 2万个字符
};

main();
