import { knowledge } from '../common.ts';

const install = [
  {
    title: 'Git',
    description: '分布式版本控制系统，用于跟踪代码变更和协作开发',
    'install-way':
      '可通过操作系统的包管理器安装（如 macOS 使用 Homebrew `brew install git`，Ubuntu 使用 `sudo apt-get install git`），或从官网 https://git-scm.com/  下载安装',
  },
  {
    title: 'Node.js',
    description: '基于 Chrome V8 引擎的 JavaScript 运行时，用于构建服务端和命令行工具',
    'install-way': '可通过操作系统的包管理器安装，或使用 Node 版本管理工具 nvm 安装；官网 https://nodejs.org  提供 LTS 和最新版本的安装包',
  },
  {
    title: 'nvm (Node Version Manager)',
    description: '用于管理多个 Node.js 版本的命令行工具',
    'install-way':
      '在 Unix/Linux 系统中可通过脚本安装：`curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.39.7/install.sh  | bash`，安装后需重启终端或执行 source 命令加载配置',
  },
];
const main = async () => {
  const res = await knowledge.rerank({
    model: 'BAAI/bge-reranker-v2-m3',
    query: '安装nvm的办法和安装node的办法',
    documents: install.map((item) => {
      return `${item.title}：${item.description}，安装方式：${item['install-way']}`;
    }),
  });
  console.log(res);
  // 8000 tokens 大概1w个字 2万个字符
};

main();
